> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1panelbootstrap

> Redeems the one-time setup token printed by the API on first start and creates the first owner. Refused once any operator account exists.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/panel/bootstrap
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/bootstrap:
    post:
      tags:
        - panel
      description: >-
        Redeems the one-time setup token printed by the API on first start and
        creates the first owner. Refused once any operator account exists.
      operationId: completePanelBootstrap
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BootstrapInput'
      responses:
        '201':
          description: First owner created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAccount'
        '409':
          $ref: '#/components/responses/Problem'
        '422':
          $ref: '#/components/responses/Problem'
      security: []
components:
  schemas:
    BootstrapInput:
      type: object
      additionalProperties: false
      required:
        - setupToken
        - email
        - displayName
        - password
      properties:
        setupToken:
          type: string
        email:
          type: string
          format: email
        displayName:
          type: string
          minLength: 1
          maxLength: 80
        password:
          type: string
          minLength: 12
          maxLength: 256
        locale:
          $ref: '#/components/schemas/AdminLocale'
    AdminAccount:
      type: object
      required:
        - id
        - email
        - displayName
        - status
        - locale
        - timezone
        - roles
        - totpEnabled
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        displayName:
          type: string
        status:
          $ref: '#/components/schemas/AdminStatus'
        locale:
          $ref: '#/components/schemas/AdminLocale'
        timezone:
          type: string
        roles:
          type: array
          items:
            $ref: '#/components/schemas/AdminRole'
        totpEnabled:
          type: boolean
        lastLoginAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
    AdminLocale:
      type: string
      enum:
        - en
        - ru
    AdminStatus:
      type: string
      enum:
        - active
        - suspended
        - disabled
    AdminRole:
      type: string
      enum:
        - owner
        - administrator
        - support
        - finance
        - marketing
        - auditor
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.